// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1997
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosEventServer;

import org.omg.CORBA.*;
import org.omg.CosEventChannelAdmin.*;
import java.util.*;

class EventServerAdmin
    extends com.ooc._EventServerAdminImplBase
{
    private BOA boa_;
    
    private org.omg.CosEventChannelAdmin.EventChannel ec_ = null;

    private org.omg.CosTypedEventChannelAdmin.TypedEventChannel tec_ = null;

    EventServerAdmin(BOA boa, org.omg.CosEventChannelAdmin.EventChannel ec)
    {
	boa_ = boa;
	ec_ = ec;
    }

    EventServerAdmin(BOA boa,
		     org.omg.CosTypedEventChannelAdmin.TypedEventChannel tec)
    {
	boa_ = boa;
	tec_ = tec;
    }

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    synchronized public void shutdown()
    {
	if(boa_ == null)
	    return;
	if(ec_ != null)
	{
	    ec_.destroy();
	    ec_ = null;
	}
	if(tec_ != null)
	{
	    tec_.destroy();
	    tec_ = null;
	}
	((com.ooc.CORBA.BOA)boa_).deactivate_impl(null);
    }
}
