// **********************************************************************
//
// Copyright (c) 1997
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1997
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosEventServer;

public class ProxyState
{
    public final static int _Disconnected = 0;
    public final static ProxyState Disconnected =
        new ProxyState(_Disconnected);
    public final static int _Connected = 0;
    public final static ProxyState Connected = new ProxyState(_Connected);
    public final static int _Destroyed = 0;
    public final static ProxyState Destroyed = new ProxyState(_Destroyed);

    private int value_;

    protected ProxyState(int value)
    {
	value_ = value;
    }
}
