// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosNaming;

final class NamingContextSet
{
    private java.util.Vector contexts_ = new java.util.Vector();
    private int curr_ ;

    NamingContextSet()
    {
    }

    void
    add(org.omg.CosNaming.NamingContext nc)
    {
	contexts_.addElement(nc);
    }

    void
    remove(org.omg.CosNaming.NamingContext nc)
    {
	if(!contexts_.removeElement(nc))
	    throw new RuntimeException();
    }

    org.omg.CosNaming.NamingContext
    first()
    {
	curr_ = 0;
	return next();
    }

    org.omg.CosNaming.NamingContext
    next()
    {
	if(curr_ >= contexts_.size())
	   return null;

	return (org.omg.CosNaming.NamingContext)contexts_.elementAt(curr_++);
    }
}
