// **********************************************************************
//
// Copyright (c) 1997
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1997
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

package event;

import org.omg.CORBA.*;
import org.omg.CosEventComm.*;

class TimerUpdate_impl extends _TypedTimerUpdateImplBase
{
    private boolean slow_;

    TimerUpdate_impl(boolean slow)
    {
	slow_ = slow;
    }

    // ------------------------------------------------------------------
    // Standard IDL to Java Mapping
    // ------------------------------------------------------------------

    public void time_update(String str)
    {
	System.out.println(str);
	if(slow_)
	{
	    try
	    {
		Thread.sleep(2000);
	    }
	    catch(InterruptedException e)
	    {
	    }
	}
    }

    public void push(org.omg.CORBA.Any any)
    {
    }

    public void disconnect_push_consumer()
    {
    }

}
