// **********************************************************************
//
// Copyright (c) 1998
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// Copyright (c) 1998
// Object-Oriented Concepts GmbH
// Ettlingen, Germany
//
// All Rights Reserved
//
// **********************************************************************

package com.ooc.CosNaming;

//
// This class is used to update the database journal on a regular
// basis.
//
final class Logger extends Thread
{
    NamingDatabase store_;

    int interval_; // Timeout interval

    Logger(NamingDatabase store, int logSeconds)
    {
	store_ = store;
	interval_ = logSeconds;
    }

    public void
    run()
    {
	try
	{
	    sleep(interval_);
	}
	catch(InterruptedException ex)
	{
	}

	store_.updateJournal();
    }
}
